<template>
  <div class="row justify-center q-pa-lg">
    <div
      class="col-xl-4 col-lg-4 col-md-6 col-sm-12 col-xs-12 text-center text-bold text-grey-8"
      :class="$q.platform.is.desktop ? 'text-h4 q-pa-lg' : 'text-h5 q-py-md'"
    >
      {{ items.title }}
    </div>

    <q-separator color="transparent" />

    <div class="row col-xl-8 col-lg-8 col-md-11 col-sm-12 col-xs-12 q-px-lg q-pt-md q-pb-lg">
      <div
        v-for="item in items.cards"
        :key="item.id"
        :class="`col-xl-3 col-lg-3 col-md-3 col-sm-6 col-xs-12 text-center text-white bg-${item.color}`"
      >
        <q-resize-observer @resize="onResize" />

        <q-tooltip
          content-class="text-body1 text-weight-medium text-italic text-grey-8 bg-white fit no-border-radius q-pa-lg"
          :max-height="`${size.height}px`"
          :max-width="`${size.width}px`"
          transition-show="fade"
          transition-hide="fade"
          anchor="center middle"
          self="center middle"
        >
          {{ item.description }}
        </q-tooltip>

        <q-img
          :src="strapi + item.background.url"
          width="100%"
          :ratio="1"
        >
          <div class="fit bg-transparent">
            <div class="flex flex-center fit q-py-lg">
              <div
                class="absolute-bottom q-px-sm q-pb-lg text-bold"
                :class="$q.screen.width > 1920 ? 'text-h4' : 'text-h5'"
              >
                {{ item.label }}
              </div>
            </div>
          </div>
        </q-img>
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Platform',
  props: {
    items: {
      type: Object,
      default: () => ({})
    }
  },
  data () {
    return {
      size: '',
      strapi: process.env.WWW_API
    }
  },
  methods: {
    onResize (size) {
      this.size = size
    }
  }
}
</script>
